org.apache.ignite.internal.management.property

## Class PropertyTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<PropertyGetCommandArg,PropertyOperationResult,PropertyOperationResult>
  - - org.apache.ignite.internal.management.property.PropertyTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<PropertyGetCommandArg>,PropertyOperationResult>

    @GridInternal
    public class PropertyTask
    extends VisorMultiNodeTask<PropertyGetCommandArg,PropertyOperationResult,PropertyOperationResult>

Task for property operations.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`PropertyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<PropertyGetCommandArg,PropertyOperationResult>` `job(PropertyGetCommandArg arg)`
`protected @Nullable PropertyOperationResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyTask

    public PropertyTask()

### Method Detail

#### job

    protected VisorJob<PropertyGetCommandArg,PropertyOperationResult> job(PropertyGetCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<PropertyGetCommandArg,PropertyOperationResult,PropertyOperationResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable PropertyOperationResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<PropertyGetCommandArg,PropertyOperationResult,PropertyOperationResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023